input_set_keycode
Prev | Chapter 25. Input Subsystem | Next

## Name

input_set_keycode — assign new keycode to a given scancode

## Synopsis

`int input_set_keycode (` | struct input_dev * | dev,
| int | scancode,
| int | keycode`)`;

## Arguments

`dev`

  input device which keymap is being updated

`scancode`

  scancode (or its equivalent for device in question)

`keycode`

  new keycode to be assigned to the scancode

## Description

This function should be called by anyone needing to update current keymap. Presently keyboard and evdev handlers use it.

Prev | Up | Next
input_get_keycode | Home | input_allocate_device